aboutsummaryrefslogtreecommitdiff
path: root/extract-files.sh
diff options
context:
space:
mode:
authorRamii Ahmed <ramy@ahmedramy.com>2022-03-31 20:12:33 +0000
committerRamii Ahmed <ramy@ahmedramy.com>2022-04-22 01:26:07 +0000
commitfbb9a1ba5fff8c6a3f3ae051ea83ba41f103f124 (patch)
tree0c64b13608e631a94d14805e7747900d8f86621e /extract-files.sh
veux: Inherit from sm6375-common
Change-Id: I7c2239425ded71fa967d983a637564aaaef3b8a9
Diffstat (limited to 'extract-files.sh')
-rwxr-xr-xextract-files.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/extract-files.sh b/extract-files.sh
new file mode 100755
index 0000000..7d85c26
--- /dev/null
+++ b/extract-files.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Copyright (C) 2016 The CyanogenMod Project
+# Copyright (C) 2017-2020 The LineageOS Project
+#
+# SPDX-License-Identifier: Apache-2.0
+#
+
+# If we're being sourced by the common script that we called,
+# stop right here. No need to go down the rabbit hole.
+if [ "${BASH_SOURCE[0]}" != "${0}" ]; then
+ return
+fi
+
+set -e
+
+export DEVICE=veux
+export DEVICE_COMMON=sm6375-common
+export VENDOR=xiaomi
+
+"./../../${VENDOR}/${DEVICE_COMMON}/extract-files.sh" "$@"